import { NgModule } from '@angular/core';

import { DegreePlannerComponent } from './degree-planner.component';
import { SharedModule } from '@app/shared/shared.module';
import { SharedDegreePlannerModule } from './shared/shared.module';
import { DegreePlannerRoutingModule } from './degree-planner.routing.module';
import { TermContainerComponent } from './term-container/term-container.component';
import { SidenavMenuItemComponent } from './sidenav-menu-item/sidenav-menu-item.component';
import { FavoritesContainerComponent } from './favorites-container/favorites-container.component';
import { CourseDetailsDialogComponent } from './dialogs/course-details-dialog/course-details-dialog.component';
import { NotesDialogComponent } from './dialogs/notes-dialog/notes-dialog.component';

@NgModule({
	imports: [
		SharedModule,
		DegreePlannerRoutingModule,
		SharedDegreePlannerModule
	],
	declarations: [
		DegreePlannerComponent,
		TermContainerComponent,
		SidenavMenuItemComponent,
		FavoritesContainerComponent
	],
	entryComponents: [ CourseDetailsDialogComponent, NotesDialogComponent ]
})
export class DegreePlannerModule { }
